Ethereum
Prepare Partial Withdrawal Transaction
Construct a serialized transaction to initiate the partial or full withdrawal process for active validators, using 0x02 type of withdrawal credentials.
POST
/
api
/
v1
/
eth
/
staking
/
direct
/
tx
/
withdrawal
/
partial
Prepare Partial Withdrawal Transaction
curl --request POST \
--url https://api.p2p.org/api/api/v1/eth/staking/direct/tx/withdrawal/partial \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pubkeys": [
"0xffC08FcD7cFeF5c70fB2b0e1f2A8EaA690AaE2bDFfa5dBEc4dEef31DcC0B19eB1f9Cebe3E2fe9eefBD9a1BDF6FD89b39"
],
"amount": "1"
}
'import requests
url = "https://api.p2p.org/api/api/v1/eth/staking/direct/tx/withdrawal/partial"
payload = {
"pubkeys": ["0xffC08FcD7cFeF5c70fB2b0e1f2A8EaA690AaE2bDFfa5dBEc4dEef31DcC0B19eB1f9Cebe3E2fe9eefBD9a1BDF6FD89b39"],
"amount": "1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pubkeys: [
'0xffC08FcD7cFeF5c70fB2b0e1f2A8EaA690AaE2bDFfa5dBEc4dEef31DcC0B19eB1f9Cebe3E2fe9eefBD9a1BDF6FD89b39'
],
amount: '1'
})
};
fetch('https://api.p2p.org/api/api/v1/eth/staking/direct/tx/withdrawal/partial', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"list": [
{
"serializeTx": "0x02f902d70580830167...",
"to": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"gasLimit": "0",
"data": "",
"value": "0",
"chainId": "0",
"type": "0",
"maxFeePerGas": "0",
"maxPriorityFeePerGas": "0"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Validator public keys.
Pattern:
^0x[a-fA-F0-9]{96}$Example:
[
"0xffC08FcD7cFeF5c70fB2b0e1f2A8EaA690AaE2bDFfa5dBEc4dEef31DcC0B19eB1f9Cebe3E2fe9eefBD9a1BDF6FD89b39"
]
Amount of tokens in ETH to withdraw. For a partial withdrawal, specify a single number or an array of numbers. For a full withdrawal, specify 0.
Example:
"1"
Prepare Partial Withdrawal Transaction
